/*
	Chapter 4
	This demonstrates the equivalence of Cox and Poisson models (when 
	splitting at unique failure times) using the Rotterdam data. 
	Note that the Poisson model can take a very long time to fit.
*/
version 11.0
set more off
clear all
set memory 500m
set matsize 1500

use rott2
stcox recent, nolog noshow
stsplit, at(failures) riskset(riskset)
gen y = _t - _t0
glm _d ibn.riskset recent, family(poisson) lnoffset(y) nolog nocons eform
set more on
