/*
	Chapter 6
	Figure 1.4
	Examine goodness of fit using martingale residuals.
*/
version 11.0
set scheme sj
set more off
clear
use rott2

// Fit MFP model and predict residuals
quietly xi: stpm2 age enodes_1 pr_1 i.size grade chemo hormon, ///
 scale(odds) df(2)
predict mgale, martingale

// Fit linear multivariable model and predict residuals
quietly xi: stpm2 age nodes pr i.size grade chemo hormon, ///
 scale(odds) df(2)
predict mgale2, martingale

// Plot smoothed residuals
global stuff nopts ci ytitle("") lineopts(lpattern(l)) title("")
global yla1 ylabel(-2(1)0, angle(h)) yscale(r(-2.5 0.5)) ///
 xlabel(0(10)30) xscale(r(0 35))
global yla2 ylabel(-0.1(0.05).1, angle(h) format(%5.2f)) yscale(r(-0.15,0.1))
running mgale nodes, $stuff $yla1 name(g1, replace)
running mgale pr if pr <= 500, $stuff $yla2 name(g2, replace) span(1)
running mgale2 nodes, $stuff $yla1 name(g3, replace)
running mgale2 pr if pr <= 500, $stuff $yla2 name(g4, replace) span(1)
graph combine g1 g2 g3 g4, l1title("Smoothed martingale residuals")
set more on
