/*
	Chapter 7.
	Build a time-dependent proportional odds model for
	the Rotterdam data.
*/
version 11.0
set more off
clear
use rott2

// Select time-varying effects significant at 1% level
// by forward stepwise selection.
xi: stpm2t age enodes_1 pr_1 (i.size) (i.grade) chemo hormon, ///
 tvselect(0.01) scale(odds) df(2) dftvc(2) detail

// Get AIC and BIC with different d.f. for time-varying effects
forvalues i = 1 / 2 {
	forvalues j = 1 / 2 {
		quietly xi: stpm2 age enodes_1 pr_1 (i.size) (i.grade) ///
		 chemo hormon, df(2) sc(o) tvc(pr_1 chemo) ///
		 dftvc(pr_1:`i' chemo:`j')
		di "df for pr = " `i' " df for chemo = " `j' ///
		 " AIC = " %8.3f e(AIC) " BIC = " %8.3f e(BIC)
	}
}
