/*
	Chapter 8
	All-cause survival (figure 8.2) and stpm2 model
*/
version 11.0
set scheme sj
set more off
clear
use ew_breast_ch8

stset survtime, failure(dead==1) exit(time 5) id(ident)

// Figure 8.2
sts graph, by(agegroup) legend(order(1 "<50" 2 "50-59" 3 "60-69" 4 "70-79" 5 "80+") ///
		ring(0) pos(7) cols(1) title(Age Group)) ylabel(,angle(h)) ///
		ytitle(All cause survival) xtitle(Years from diagnosis)

stpm2 agegrp2-agegrp5, df(7) scale(h) eform nolog
set more on
