/*
	Chapter 9
	Figure 9.8
	CD4 data. Density at different ages.
*/
version 11.0
set scheme sj
set more off
clear
use cd4

stset cd4
quietly stpm2 x_1 x_2, scale(normal) df(2) dftvc(2) tvc(x_1 x_2)
local ds
local i 0
forvalues j = 10(40)90 {
	quietly centile x, centile(`j')
	local c = r(c_1)
	// FP transformation of age centiles
	local x1 = `c'^0.5
	local x2 = `c'^3
	// Compute density for CD4 count
	local ++i
	predict d`i', density at(x_1 `x1' x_2 `x2')
	// Compute density for log CD4 count
	quietly replace d`i' = d`i' * _t
	local ds `ds' d`i'
}
line `ds' y, sort ///
 lcolor(gs4 gs8 gs12) clp(l - _) ///
 xtitle("log CD4 count") ytitle("Density") ylabel(,angle(horizontal)) ///
 lwidth(medthick ..) legend(order(3 2 1) label(1 "90th centile of age") ///
 label(2 "50th centile of age") ///
 label(3 "10th centile of age") col(1) ring(0) pos(11))
set more on
