/*
	Chapter 9
	Table 9.1
	CD4 data. Outcome-dependent modelling.
*/
version 11.0
set scheme sj
set more off
clear
use cd4

stset cd4
forvalues j = 1 / 5 {
	quietly stpm2 x_1 x_2, scale(normal) df(`j')
	di `j', e(AIC)
}

// Best main effects model df(2). Check AIC for outcome-dependent models.
forvalues j = 0 / 4 {
	if `j' == 0 local tvc
	else local tvc dftvc(`j') tvc(x_1 x_2)
	quietly stpm2 x_1 x_2, scale(normal) df(2) `tvc'
	di `j', e(AIC)
}
set more on
